/*********************************************************************************
**
**   $Id: CustTable.cpp,v 1.3 2004/04/03 14:04:53 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include "CustTable.h"

static DataFields fields[] =
{
   { "ident",     "Ident",    0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "name",      "Name",     0,  0,  0,  0,  20,  0,  0, "", NULL, NULL },
   { "addr",      "Address",  0,  0,  0,  0,  20,  0,  0, "", NULL, NULL },
   { "city",      "City",     0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "state",     "State",    0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "zip",       "Zip",      0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "home_pn",   "Home #",   0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "work_pn",   "Work #",   0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   { "beeper",    "Beeper #", 0,  0,  0,  0,   0,  0,  0, "", NULL, NULL },
   {  NULL, NULL, 0, 0, 0, 0, 0, 0, 0, NULL, NULL, NULL}
};

CustTable::CustTable(QWidget *pParent, const char *pName) :
            DataTable(fields, "customers", 15, pParent, pName)
{
   printf("CustTable::CustTable(default): Enter\n");
   sortBy("name ASC");
   refresh();
}
